Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.semanticweb.owlapi.owllink.parser
Class OWLlinkPrefixesElementHandler

    java.lang.Object

          org.semanticweb.owlapi.owllink.parser.AbstractOWLlinkElementHandler<R>
              org.semanticweb.owlapi.owllink.parser.AbstractOWLlinkResponseElementHandler<C>
                  org.semanticweb.owlapi.owllink.parser.AbstractConfirmationElementHandler<R>
                      org.semanticweb.owlapi.owllink.parser.AbstractOWLlinkKBResponseElementHandler<Prefixes>
                          org.semanticweb.owlapi.owllink.parser.OWLlinkPrefixesElementHandler

All Implemented Interfaces:
  OWLlinkElementHandler<Prefixes>, OWLlinkResponseElementHandler<Prefixes>

    public class OWLlinkPrefixesElementHandler

extends AbstractOWLlinkKBResponseElementHandler<Prefixes>

Created by IntelliJ IDEA. Author: Olaf Noppens Date: 20.11.2009

Field Summary
`protected java.util.Map<java.lang.String,java.lang.String>` | `mapping`

Constructor Summary
`OWLlinkPrefixesElementHandler(OWLXMLParserHandler handler)`

Method Summary
`void` | `endElement()`
`Prefixes` | `getOWLLinkObject()`
`void` | `handleChild(OWLlinkPrefixElementHandler handler)`
`void` | `startElement(java.lang.String name)`

Methods inherited from class org.semanticweb.owlapi.owllink.parser.AbstractOWLlinkKBResponseElementHandler
`getRequest`

Methods inherited from class org.semanticweb.owlapi.owllink.parser.AbstractConfirmationElementHandler
`attribute`

Methods inherited from class org.semanticweb.owlapi.owllink.parser.AbstractOWLlinkElementHandler
`getFullIRI, getOWLObject, getParentHandler, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.semanticweb.owlapi.owllink.parser.OWLlinkElementHandler
`handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild`

Field Detail

### mapping

    protected java.util.Map<java.lang.String,java.lang.String> mapping

Constructor Detail

### OWLlinkPrefixesElementHandler

    public OWLlinkPrefixesElementHandler(OWLXMLParserHandler handler)

Method Detail

### startElement

    public void startElement(java.lang.String name)
                      throws OWLXMLParserException

  Overrides:
    `startElement` in class `AbstractOWLlinkKBResponseElementHandler<Prefixes>`
  Throws:
    `OWLXMLParserException`

### handleChild

    public void handleChild(OWLlinkPrefixElementHandler handler)

  Specified by:
    `handleChild` in interface `OWLlinkElementHandler<Prefixes>`
  Overrides:
    `handleChild` in class `AbstractOWLlinkElementHandler<Prefixes>`

### getOWLLinkObject

    public Prefixes getOWLLinkObject()

  Specified by:
    `getOWLLinkObject` in interface `OWLlinkElementHandler<Prefixes>`
  Specified by:
    `getOWLLinkObject` in class `AbstractOWLlinkElementHandler<Prefixes>`

### endElement

    public void endElement()
                    throws OWLXMLParserException

  Overrides:
    `endElement` in class `AbstractOWLlinkResponseElementHandler<Prefixes>`
  Throws:
    `OWLXMLParserException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD